at.chipkarte.client.fus.soap

## Class VoErstformular

- Object
- - at.chipkarte.client.fus.soap.VoErstformular

-     public class VoErstformular
      extends Object

  Beinhaltet die Eingangsdaten zur Erfassung eines VO Formulars durch den Vertragspartner.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoErstformular()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttachmentInfo` | `getAttachmentInfo()` Die Metadaten zum gesamten Attachment-Paket.
    `String` | `getKvt()` Leistungszuständiger KV-Träger des Patienten.
    `String` | `getSvNummer()` Sozialversicherungsnummer des Patienten.
    `String` | `getVerordnungstyp()` Verordnungstyp für den das Verordnungsformular erfasst wird.
    `VODaten` | `getVo()` Formularspezifische Daten eines VO Formulars.
    `void` | `setAttachmentInfo(AttachmentInfo attachmentInfo)`
    `void` | `setKvt(String kvt)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setVerordnungstyp(String verordnungstyp)`
    `void` | `setVo(VODaten vo)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoErstformular

          public VoErstformular()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer des Patienten.
      Angabe: Bedingt. Es muss entweder eine `svNummer` oder in der aufrufenden Funktion ein mit e-card erstelltes `cardToken` angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
      Format: 10-stellig
      Returns:
        SvNummer.

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getKvt

          public String getKvt()

      Leistungszuständiger KV-Träger des Patienten.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Kann.
      Returns:
        Kvt.

    - #### setKvt

          public void setKvt(String kvt)

    - #### getVerordnungstyp

          public String getVerordnungstyp()

      Verordnungstyp für den das Verordnungsformular erfasst wird.
      Mögliche Werte siehe value von `voTypenAbfragen`.
      Angabe: Muss.
      Returns:
        Verordnungstyp.

    - #### setVerordnungstyp

          public void setVerordnungstyp(String verordnungstyp)

    - #### getAttachmentInfo

          public AttachmentInfo getAttachmentInfo()

      Die Metadaten zum gesamten Attachment-Paket. Siehe `AttachmentInfo`.
      Angabe: Muss angegeben werden.
      Returns:
        AttachmentInfo.

    - #### setAttachmentInfo

          public void setAttachmentInfo(AttachmentInfo attachmentInfo)

    - #### getVo

          public VODaten getVo()

      Formularspezifische Daten eines VO Formulars. Siehe `VODaten`.
      Angabe: Muss.
      Returns:
        VODaten.

    - #### setVo

          public void setVo(VODaten vo)